import unit4.collectionsLib.List;
import unit4.collectionsLib.Node;
/**
 *   :  
 * @author  , '  
 * @version 17/4/2007
 */
public class CitiesMap
{
	private int[][] distanceBetweenCities;
	
	public CitiesMap (int nCities)
	{
		this.distanceBetweenCities = new int[nCities][nCities];
		for (int i=0; i<nCities; i++)
			for (int j=0; j<nCities; j++)
				this.distanceBetweenCities[i][j] = 0;
	}
	
	void setDistance (int c1, int c2, int d)
	{
		this.distanceBetweenCities[c1][c2] = d;
		this.distanceBetweenCities[c2][c1] = d;
	}
	
	int getDistance (int c1, int c2)
	{
		return this.distanceBetweenCities[c1][c2];
	}
	
	//not implemented
	List<Integer> getSmallPath (int c1, int c2)
	{
		return new List<Integer>();
	}
	
	int getSmallDistance (int c1,int c2)
	{
		List<Integer> smallPath = getSmallPath(c1,c2);
		Node<Integer> currentCity = smallPath.getFirst();
		int previousCity = currentCity.getInfo();
		currentCity = currentCity.getNext();
		int nextCity = currentCity.getInfo();
		int distance = getDistance(previousCity,nextCity);
		while (currentCity.getNext() != null)
		{
			previousCity = nextCity;
			currentCity = currentCity.getNext();
			nextCity = currentCity.getInfo();
			distance+=getDistance(previousCity,nextCity);
		}
		return distance;
	}
}
